import { TrackData } from "../../tracking/track";
import { Transport } from './transport';
export declare class WebSockets implements Transport {
    private eventsMap;
    private onComplete;
    private isWebsocketOpen;
    private lastErrors;
    private isBlockedConnectionAfterClose;
    private reconnectTries;
    private socket;
    send(events: TrackData[], onComplete: any): void;
    private createConnection;
    private onOpen;
    private onMessage;
    private onError;
    private onClose;
    get isAvailable(): boolean;
    private checkErrors;
    private static hasSupportWebsocket;
    private getSerializedData;
    private tryReconnect;
    private addEvents;
    private removeSendedEvents;
}
