export declare class Utils {
    /**
     * Генерирует уникальный id
     * в алфавите A-Za-z0-9_-
     */
    static nanoid(): string;
    static SHA256(message: string): string;
    /**
     * Генерирует число от 0 до 99(включительно) по id
     * Используется для аб тестирования
     * Хэш функция работает на простых числах - это гарантирует равномерность распределения
     * {@link https://e-maxx.ru/algo/string_hashes}
     * @param id
     */
    static getAb(id: string): number;
    static getCookie(name: string): string;
}
export declare function isUnset(target: any): boolean;
export declare function isSet(target: any): boolean;
