import { LabelConfig } from './label';
import { LabelCollection } from './label-collection';
export interface LabelFactory<T> {
    init(collection: LabelCollection): void;
    getLabelConfig(): LabelConfig;
    getLabel(): T;
    updateLabel(label: T): void;
}
