import { LabelFactory } from "../factory";
import { IdentifyLabel } from "./identify";
import { LabelConfig, LabelData } from "../label";
import { LabelCollection } from "../label-collection";
export declare class IdentifyFactory implements LabelFactory<IdentifyLabel> {
    static readonly slug = "identify";
    private label;
    private isReady;
    init(collection: LabelCollection): Promise<void>;
    getLabelConfig(): LabelConfig;
    getLabel(): IdentifyLabel;
    updateLabel(label: LabelData): void;
    getData(): Promise<IdentifyLabel>;
}
