export declare const Action: {
    pageView: string;
    view: string;
    partView: string;
    delete: string;
    hide: string;
    open: string;
    add: string;
    select: string;
    unselect: string;
    click: string;
};
export interface Context {
    type: string;
    name?: string;
    [key: string]: any;
}
export interface TrackData {
    context: object;
    [key: string]: any;
}
/**
 * Класс Track содержит контекстные поля
 */
export declare class Track {
    private context;
    constructor(context: Context);
    getData(): TrackData;
}
