import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { AbLabel } from './ab';
export declare class AbFactory implements LabelFactory<AbLabel> {
    static readonly slug = "ab";
    private label;
    private isReady;
    init(collection: LabelCollection): Promise<void>;
    getLabel(): AbLabel;
    getLabelConfig(): LabelConfig;
    updateLabel(label: AbLabel): void;
    getAb(): Promise<any>;
    getData(): Promise<AbLabel>;
}
