import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { BusinessLabelData, BusinessType } from './types';
export declare class BusinessLabel implements LabelFactory<BusinessLabelData> {
    static readonly slug = "business";
    type: BusinessType;
    entity_id: string;
    init(collection: LabelCollection): void;
    getLabelConfig(): LabelConfig;
    getLabel(): BusinessLabelData;
    updateLabel(label: BusinessLabelData): void;
    private loadState;
}
