import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { PageLabel } from './page';
export declare class PageFactory implements LabelFactory<PageLabel> {
    static readonly slug = "page";
    private label;
    private isReady;
    private referrerName;
    private refererViewId;
    init(collection: LabelCollection): Promise<void>;
    getLabelConfig(): LabelConfig;
    getLabel(): PageLabel;
    updateLabel(label: PageLabel): void;
    private updateReferrer;
    private enrichPage;
}
