import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { TransportLabel } from './transport';
export declare class TransportFactory implements LabelFactory<TransportLabel> {
    static readonly slug = "transport";
    private label;
    private isReady;
    init(collection: LabelCollection): Promise<void>;
    getLabel(): TransportLabel;
    getLabelConfig(): LabelConfig;
    updateLabel(label: TransportLabel): void;
}
