import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { UserLabel } from './user';
export declare class UserFactory implements LabelFactory<UserLabel> {
    static readonly slug = "user";
    protected label: UserLabel;
    protected isReady: boolean;
    init(collection: LabelCollection): Promise<void>;
    getLabel(): UserLabel;
    getLabelConfig(): LabelConfig;
    updateLabel(label: UserLabel): void;
}
