import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { UtmLabel } from './utm';
export declare class UtmFactory implements LabelFactory<UtmLabel> {
    static readonly slug = "utm";
    protected label: UtmLabel;
    protected isReady: boolean;
    init(collection: LabelCollection): Promise<void>;
    getLabel(): UtmLabel;
    getLabelConfig(): LabelConfig;
    updateLabel(label: UtmLabel): void;
}
