export declare type Device = {
    name: string;
    version: string;
    type: string;
    memory: string;
    concurrency: number;
};
export declare type Os = {
    name: string;
    version: string;
    language: string;
    languages: ReadonlyArray<string>;
};
export declare type Browser = {
    name: string;
    version: string;
    engine: {
        name: string;
        version: string;
    };
    useragent: string;
};
export declare type Screen = {
    orientation: {
        angle: number;
        type: string;
    };
    resolution: {
        current: [number, number];
    };
    touch: Array<number>;
    full: number;
};
export declare type Connection = {
    rtt: number;
};
