import { TrackData } from "../tracking/track";
import { Store } from './store';
export declare class TrackStore extends Store {
    private namespace;
    private enabled;
    private queue;
    constructor(namespace?: string);
    add(event: TrackData | TrackData[]): Promise<void>;
    remove(eventIds: string | string[]): Promise<void>;
    load(): any;
    flush(): any;
    get(id?: string): TrackData[];
    get length(): Number;
}
