import { LabelFactory } from "../label/factory";
import { Label, LabelConfig, LabelData } from "../label/label";
import { TrackData } from './track';
export declare class TrackManager {
    private defaultLabelFactories;
    private ready;
    private transportStrategy;
    private storage;
    private defaultLabelCollection;
    private customLabelCollection;
    private flattenLabels;
    constructor(defaultLabelFactories: LabelFactory<LabelData>[]);
    addDefaultLabel(config: LabelConfig): void;
    addLabel(label: Label | Label[]): void;
    private mergeLabels;
    private mergeDefaultLabels;
    private mergeCustomLabels;
    send(event: TrackData): void;
    private onComplete;
}
